# Learn Lab

The command line interface for Flatiron School enterprise.

## Installation

To install the gem, run:

```
$ gem install learn-lab
```

then run:

```
$ learn-lab config
```

to configure your settings.

## Usage

From within a lesson directory, run:

```
$ learn-lab [command]
```

To see a list of available commands, run:

```
$ learn-lab help
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`.

This project uses RSpec for tests, and Rubocop for linting code. The default
Bundler generated scripts provided for both are in the `bin` folder. CI is
done through
[CircleCI](https://app.circleci.com/pipelines/github/flatiron-labs/learn-lab). All pushes to any branch will trigger a build that runs specs and lints the code.

### Cutting a New Release

Steps for releasing a new version:

* update the version number in `version.rb`
* update the CHANGELOG
  - create a new release heading with the new version number and date
  - create an empty [Unreleased] section with empty headings
  - update links at the bottom to reflect new version
* commit the changes with a message like: "Prepping for release x.x.x"
* run `bundle exec rake release` -- this will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org)
* post a message in the `#engineering-all-staff` Slack channel announcing the new release

## Contributing

Bug reports and pull requests are welcome on
[GitHub](https://github.com/flatiron-labs/learn-lab/issues). To submit a pull request:

1. [Fork](https://github.com/flatiron-labs/learn-lab/fork) the repo
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request

## License

Licensed under the [MIT License](https://github.com/flatiron-labs/learn-lab/blob/master/LICENSE.txt).
