# frozen_string_literal: true

require_relative 'lib/learn_lab/version'

Gem::Specification.new do |spec|
  spec.name = 'learn-lab'
  spec.version = LearnLab::VERSION
  spec.authors = ['Flatiron School']
  spec.email = ['learn@flatironschool.com']

  spec.summary = 'The command line interface for Flatiron School enterprise.'
  spec.homepage = 'https://github.com/flatiron-labs/learn-lab'
  spec.license = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.5.0')

  spec.metadata['allowed_push_host'] = 'https://rubygems.org/'
  spec.metadata['changelog_uri'] = 'https://github.com/flatiron-labs/learn-lab/blob/master/CHANGELOG.md'
  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir = 'exe'
  spec.executables = ['learn-lab']
  spec.require_paths = ['lib']

  spec.add_development_dependency 'aruba', '~> 1.0'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rspec', '~> 3.9'
  spec.add_development_dependency 'rspec_junit_formatter', '~> 0.4'
  spec.add_development_dependency 'rubocop', '~> 1.6'

  spec.add_runtime_dependency 'git', '~> 1.7'
  spec.add_runtime_dependency 'thor', '~> 1.0'
end
